store | blogs | forums | twitter | facebook | wiki | downloads | support portal
Atomic Secure Linux
It is currently Thu May 23, 2019 5:17 am

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 2 posts ] 
Author Message
 Post subject: OpenVAS 9: After Update Scans Fail: Sqlite Error
Unread postPosted: Sun Apr 07, 2019 5:24 pm 
Offline
New Forum User
New Forum User

Joined: Sat Mar 30, 2019 1:16 pm
Posts: 1
Location: New York
After a recent update of OpenVAS 9, all previously-working scans fail. Here is the relevant log:

/var/log/openvas/openvasmd.log:

event task:MESSAGE:2019-04-07 16h27.36 EDT:8108: Status of task Mail (full and very deep) (7188b961-1a6a-4b4c-9f2e-69523890acf6) has changed to Requested
event task:MESSAGE:2019-04-07 16h27.36 EDT:8108: Task Mail (full and very deep) (7188b961-1a6a-4b4c-9f2e-69523890acf6) has been requested to start by admin
md manage:WARNING:2019-04-07 16h27.47 EDT:8111: sql_prepare_internal: sqlite3_prepare failed: near "(": syntax error
md manage:WARNING:2019-04-07 16h27.47 EDT:8111: init_iterator: sql_prepare failed
md manage:WARNING:2019-04-07 16h27.47 EDT:8111: manage_cleanup_process_error: Error exit, setting running task to Internal Error
md manage:WARNING:2019-04-07 16h27.47 EDT:8111: sql_prepare_internal: sqlite3_prepare failed: near "(": syntax error
md manage:WARNING:2019-04-07 16h27.47 EDT:8111: init_iterator: sql_prepare failed

System: Centos 7.6
OpenVAS 9: openvasmd: 7.0.3; openvassd: 5.1.3; gsad: 7.0.3

Googling the error suggests that the sqlite version in use by openvasmd is outdated, requiring 3.8. I have sqlite 3.7 installed:

[root@mail openvas]# rpm -ql sqlite
/usr/bin/sqlite3
/usr/lib64/libsqlite3.so.0
/usr/lib64/libsqlite3.so.0.8.6
/usr/share/doc/sqlite-3.7.17
/usr/share/doc/sqlite-3.7.17/README
/usr/share/man/man1/sqlite3.1.gz

I also have sqlite 3.8 installed from the atomic package:

[root@mail openvas]# rpm -ql atomic-sqlite-sqlite
/opt/atomic/atomic-sqlite/root/usr/bin/sqlite3
/opt/atomic/atomic-sqlite/root/usr/lib64/libsqlite3.so.0
/opt/atomic/atomic-sqlite/root/usr/lib64/libsqlite3.so.0.8.6
/opt/atomic/atomic-sqlite/root/usr/share/doc/atomic-sqlite-sqlite-3.8.5
/opt/atomic/atomic-sqlite/root/usr/share/doc/atomic-sqlite-sqlite-3.8.5/README.md
/opt/atomic/atomic-sqlite/root/usr/share/man/man1/sqlite3.1.gz

If the sqlite version is causing the error, and the solution is to use the later version, then how can I force openvasmd to use the later version?

Thanks for any help!


Top
 Profile  
Reply with quote  
 Post subject: Re: OpenVAS 9: After Update Scans Fail: Sqlite Error
Unread postPosted: Mon Apr 08, 2019 8:42 pm 
Offline
New Forum User
New Forum User

Joined: Mon Apr 08, 2019 8:38 pm
Posts: 1
Location: San Diego
I have been searching for a solution, I have the sqlite-3.8 version installed in /opt/atomic/atomic-sqlite/ but it seems openvas is not using that version and is instead using the OS version. I have tried replacing sqlite (and broke yum/rpm DB) but still it doesn't run any scans.

Is there a way to force openvas (openvassd.conf) to load sqlite3 from the atomic path?


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 2 posts ] 

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group